const { Controller } = require('libflitter')

class PasswordController extends Controller {
    static get services() {
        return [...super.services, 'Vue']
    }

    async get_reset(req, res, next) {
        return res.page('auth:password:reset', {
            ...this.Vue.data(),
            ...this.Vue.session(req),
        })
    }

    async password_reset_keyaction(req, res, next) {
        req.user.trap = 'password_reset'
        await req.user.save()
        req.trust.assume()
        return res.redirect('/auth/password/reset')
    }

}

module.exports = exports = PasswordController
